package com.madeu.service.web.webpopup;

import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;

public interface WebPopupService {
    public HashMap<String, Object> selectListWebPopupIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListWebPopup(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectWebPopup(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> uploadFile(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
    public HashMap<String, Object> insertWebPopupIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> insertWebPopup(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile file2) throws Exception;
    public HashMap<String, Object> updateWebPopupIntro(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> updateWebPopup(HashMap<String, Object> paramMap, MultipartFile file, MultipartFile file2) throws Exception;
    public HashMap<String, Object> deleteWebPopup(HashMap<String, Object> paramMap) throws Exception;
}
